Bug 60824 - [Qt] Turn on CONFIG(production) for production branches
: [Qt] Turn on CONFIG(production) for production branches
Status: RESOLVED WONTFIX
Product: WebKit
Classification: Unclassified
Component: New Bugs
: 528+ (Nightly build)
: Unspecified Unspecified
: P3 Normal
Assigned To: Nobody
: Qt, QtTriaged
Depends on:
Blocks: 32653
  Show dependency treegraph
 
Reported: 2011-05-13 17:42 PDT by Laszlo Gombos
Modified: 2012-03-02 00:59 PST (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Laszlo Gombos 2011-05-13 17:42:50 PDT
This bug is a place-holder to remind us to turn on production bit for all QtWebKit production branches. The idea has been introduced in http://trac.webkit.org/changeset/65690 and has been used first in QtWebKit 2.1.
Comment 1 Laszlo Gombos 2011-05-13 17:47:44 PDT
The following gitorious commits needs to be merged (from QtWebKit 2.1) into QtWebKit 2.2:

1./ b88b478535791adff59008398454c026ce20f301

To merge this commit, please add the "CONFIG += production" line into common.pri instead of WebKit.pri otherwise the build will not succeed. 

2./ a00c8841274f813983a581b86b919be4e645dd80
3./ 4172d67496e94e457a4daf45c808e5db4757c74e

4./ Merging these 3 commits (the first commit really) will make some LayoutTests fail as this will disable WebTiming, which requires adjusting the LayoutTest results and the Skipped list. I can help fixing these failures if needed.
Comment 2 Ademar Reis 2011-05-16 09:41:58 PDT
Done on 2.2.

I also disabled the web timing tests I could find, but I'm not sure if there are others failing, we'll have to see the results from the bot (unfortunately I still don't have a VM/machine here to run these tests reliably).
Comment 3 Ademar Reis 2011-05-16 14:47:26 PDT
(In reply to comment #2)
> Done on 2.2.
> 
> I also disabled the web timing tests I could find, but I'm not sure if there are others failing, we'll have to see the results from the bot (unfortunately I still don't have a VM/machine here to run these tests reliably).

Update: managed to fix/skip all failing tests, the 2.2 bots are green now. :-)
Comment 4 Alexis Menard (darktears) 2011-06-13 05:35:01 PDT
Can we close that bug or what?
Comment 5 Ademar Reis 2011-06-13 07:16:43 PDT
(In reply to comment #4)
> Can we close that bug or what?

That's one of these bugs which don't fit well into bugzilla: it's a reminder for something we have to do on our productization branches, but not on trunk.

Let's keep it open until I document on the wiki the procedure for opening a new stable branch, then we can close it.
Comment 6 Simon Hausmann 2012-03-02 00:59:09 PST
We're likely going to use a different mechanism for the "production" builds (if at all). Closing this for now.